<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__pass__descr__value__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_pass_descr_value_t</compoundname>
    <includes local="no">cy_ble_pass.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__pass__descr__value__t_1aa481f680907190f6b6f86439752f5179" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
        <definition>cy_stc_ble_conn_handle_t cy_stc_ble_pass_descr_value_t::connHandle</definition>
        <argsstring />
        <name>connHandle</name>
        <briefdescription>
<para>Peer Device Handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_pass.h" bodystart="131" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_pass.h" line="131" />
      </memberdef>
      <memberdef id="structcy__stc__ble__pass__descr__value__t_1a8732ecbb21b9689d42b8b4f15387e5c3" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__service__api___p_a_s_s__definitions_1ga545672003ae0ab832a9fbbe2c6d5ac87">cy_en_ble_pass_char_index_t</ref></type>
        <definition>cy_en_ble_pass_char_index_t cy_stc_ble_pass_descr_value_t::charIndex</definition>
        <argsstring />
        <name>charIndex</name>
        <briefdescription>
<para>Index of Service Characteristic. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_pass.h" bodystart="132" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_pass.h" line="132" />
      </memberdef>
      <memberdef id="structcy__stc__ble__pass__descr__value__t_1aa23b545e71ace2c93bd9e8d075621fd5" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__service__api___p_a_s_s__definitions_1gad0c401a21608b3535e22e2d9edb14cb5">cy_en_ble_pass_descr_index_t</ref></type>
        <definition>cy_en_ble_pass_descr_index_t cy_stc_ble_pass_descr_value_t::descrIndex</definition>
        <argsstring />
        <name>descrIndex</name>
        <briefdescription>
<para>Index of Service Characteristic descriptor. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_pass.h" bodystart="133" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_pass.h" line="133" />
      </memberdef>
      <memberdef id="structcy__stc__ble__pass__descr__value__t_1a82f6abb7a93d47d17a754a7f6616bb80" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__gatt__value__t">cy_stc_ble_gatt_value_t</ref> *</type>
        <definition>cy_stc_ble_gatt_value_t* cy_stc_ble_pass_descr_value_t::value</definition>
        <argsstring />
        <name>value</name>
        <briefdescription>
<para>Descriptor value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_pass.h" bodystart="134" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_pass.h" line="134" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Phone Alert Status Service Characteristic descriptor value parameter structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="1068">
        <label>cy_stc_ble_conn_handle_t</label>
        <link refid="structcy__stc__ble__conn__handle__t" />
      </node>
      <node id="1066">
        <label>cy_stc_ble_pass_descr_value_t</label>
        <link refid="structcy__stc__ble__pass__descr__value__t" />
        <childnode refid="1067" relation="usage">
          <edgelabel>value</edgelabel>
        </childnode>
        <childnode refid="1068" relation="usage">
          <edgelabel>connHandle</edgelabel>
        </childnode>
      </node>
      <node id="1067">
        <label>cy_stc_ble_gatt_value_t</label>
        <link refid="structcy__stc__ble__gatt__value__t" />
      </node>
    </collaborationgraph>
    <location bodyend="135" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_pass.h" bodystart="129" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_pass.h" line="130" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__pass__descr__value__t_1a8732ecbb21b9689d42b8b4f15387e5c3" virt="non-virtual"><scope>cy_stc_ble_pass_descr_value_t</scope><name>charIndex</name></member>
      <member prot="public" refid="structcy__stc__ble__pass__descr__value__t_1aa481f680907190f6b6f86439752f5179" virt="non-virtual"><scope>cy_stc_ble_pass_descr_value_t</scope><name>connHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__pass__descr__value__t_1aa23b545e71ace2c93bd9e8d075621fd5" virt="non-virtual"><scope>cy_stc_ble_pass_descr_value_t</scope><name>descrIndex</name></member>
      <member prot="public" refid="structcy__stc__ble__pass__descr__value__t_1a82f6abb7a93d47d17a754a7f6616bb80" virt="non-virtual"><scope>cy_stc_ble_pass_descr_value_t</scope><name>value</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>